Bug 22680 - OPAC language footer not positioned correctly
Summary: OPAC language footer not positioned correctly
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-10 17:47 UTC by Owen Leonard
Modified: 2019-04-16 22:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.0, 18.11.05


Attachments
Screenshot showing the desired layout (49.67 KB, image/png)
2019-04-10 17:47 UTC, Owen Leonard
Details
Bug 22680: OPAC language footer not positioned correctly (2.23 KB, patch)
2019-04-10 18:11 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22680: OPAC language footer not positioned correctly (2.28 KB, patch)
2019-04-10 18:58 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22680: OPAC language footer not positioned correctly (2.28 KB, patch)
2019-04-10 20:05 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-04-10 17:47:56 UTC
Created attachment 87727 [details]
Screenshot showing the desired layout

The language footer in the OPAC is supposed to appear at the bottom of the screen if there is not enough content to require scrolling to reach the bottom. Instead the language footer is always just below the visible area. I will submit a patch to correct this.
Comment 1 Owen Leonard 2019-04-10 18:11:51 UTC
Created attachment 87729 [details] [review]
Bug 22680: OPAC language footer not positioned correctly

This patch modifies the OPAC CSS so that the language-selection footer
is positioned correctly.

To test, apply the patch and rebuild the OPAC CSS.

- Enable one or more translations in the OPAC
- View a page in the OPAC which can display in your browser without a
  vertical scrollbar (for instance, the OPAC main page with no news
  items or OpacMainUserBlock).
  - The language-selection footer should appear at the bottom of the
    screen. At smaller browser heights the footer should scroll
    offscreen.
  - Test with content in the opaccredits system preference, and with
    OpacKohaUrl enabled. The footer should still be positioned
    correctly.
Comment 2 Liz Rea 2019-04-10 18:58:35 UTC
Created attachment 87730 [details] [review]
Bug 22680: OPAC language footer not positioned correctly

This patch modifies the OPAC CSS so that the language-selection footer
is positioned correctly.

To test, apply the patch and rebuild the OPAC CSS.

- Enable one or more translations in the OPAC
- View a page in the OPAC which can display in your browser without a
  vertical scrollbar (for instance, the OPAC main page with no news
  items or OpacMainUserBlock).
  - The language-selection footer should appear at the bottom of the
    screen. At smaller browser heights the footer should scroll
    offscreen.
  - Test with content in the opaccredits system preference, and with
    OpacKohaUrl enabled. The footer should still be positioned
    correctly.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 3 Katrin Fischer 2019-04-10 20:05:50 UTC
Created attachment 87733 [details] [review]
Bug 22680: OPAC language footer not positioned correctly

This patch modifies the OPAC CSS so that the language-selection footer
is positioned correctly.

To test, apply the patch and rebuild the OPAC CSS.

- Enable one or more translations in the OPAC
- View a page in the OPAC which can display in your browser without a
  vertical scrollbar (for instance, the OPAC main page with no news
  items or OpacMainUserBlock).
  - The language-selection footer should appear at the bottom of the
    screen. At smaller browser heights the footer should scroll
    offscreen.
  - Test with content in the opaccredits system preference, and with
    OpacKohaUrl enabled. The footer should still be positioned
    correctly.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 4 Nick Clemens 2019-04-11 13:58:57 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-04-15 12:28:59 UTC
Pushed to 18.11.x for 18.11.05
Comment 6 Lucas Gass 2019-04-16 22:02:25 UTC
Not backporting to 18.05.x